function cd_reload() {
	var time=new Date().getTime();
	$('#receiptlines_cd .receiptlines_html').load('/ui/receiptlines_html.htm?uid='+time, function() {
		$('#receiptlines_cd').scrollTop($('#receiptlines_cd .receiptlines_div').height());
		if($('.line').length>0) {
			$('#cd_receipt').show();
			$('#cd_advs').css('width', '65%');
		}
		else {
			$('#cd_receipt').hide();
			$('#cd_advs').css('width', '100%');
		}
		if($('#cd_advs img').length>0 || $('#show_qr_ok').length>0) {
			$('#cd_advs').show();
			$('#cd_receipt').css('width', 'calc(35% - 10px)');
		}
		else {
			$('#cd_advs').hide();
			$('#cd_receipt').css('width', '100%');
		}
	});
	if($('#show_qr_ok').length>0 && $('#qr_html .show_qr').length==0) {
		$('#qr_html').show();
		$('#qr_html').load('/ui/qr_html.htm?uid='+time);
	}
	if($('#show_qr_ok').length==0) {
		$('#qr_html').hide();
		$('#qr_html').html('');
	}
}

function advs_reload() {
	adv_n=-1;
	$('#advs_cd').load('/cd/receipt?adv=1 #advs_cd .reload', function() {
		adv_n=0;
		advs_src();
	});
}

function advs_src() {
	if(adv_n<0) return;
	$('#advs_cd img').remove();
	var adv=$('#advs_list .adv_'+adv_n).html();
	if(adv) {
		$('#advs_cd .reload').append('<img src="'+adv+'">');
	}
	adv_n++;
	if($('#advs_list .adv_'+adv_n).length==0) {
		adv_n=0;
	}
}

if($('#receiptlines_cd').length>0) {
	cd_reload();
	window.setInterval('cd_reload()', 3000);
}
if($('#cd_advs').length>0) {
	var adv_n=0;
	window.setInterval('advs_reload()', 600000);
	advs_src();
	window.setInterval('advs_src()', 30000);
}

$(document).keydown(function(e){
	$('#product_info input[name="barcode"]').focus();
});

function clear_product_info() {
	$('#product_info_txt').html('');
}

var clear_timer;
function clear_barcode_input() {
	$('#pricecheker_form input').removeAttr('disabled');
	$('#pricecheker_form input').val('');
	clear_timer=setTimeout(clear_product_info, pricechecker_clear*1000);
}

$('#pricecheker_form').submit(function(e){
	e.preventDefault();

	$('input', this).blur();
	$('input', this).attr('disabled', 'true');
	
	$('#product_info_txt').html('Идет загрузка...');
	clearTimeout(clear_timer);
	$.ajax({
        url: $(this).attr('action'),
        type: 'GET',
        dataType: "html",
        data: {barcode: $('#pricecheker_form input').val()},
        success: function(response) {
        	var txt=response.replace(/([^>])\n/g, '$1<br/>');
        	$('#product_info_txt').html(txt);
        	if(pricechecker_speek>0) speek_product_info(response);
        	clear_barcode_input();
    	},
    	error: function(response) {
    		$('#product_info_txt').html(response.statusText);
    		clear_barcode_input();
    	}
 	});
});

if($('#pricecheker_form').length>0 && pricechecker_speek>0) {
	const U=new SpeechSynthesisUtterance();
	var voices=speechSynthesis.getVoices();
	var selected_voice;
	setTimeout(function(){
		voices=speechSynthesis.getVoices();
		selected_voice=voices.findIndex(
    		(voice)=>voice.name===pricechecker_voice
  		);
	}, 100);


  	function speek_product_info(txt) {
  		if(voices.length==0) return;
  		U.text=txt.trim();
		// Получаем выбранный голос
		const voice=voices[selected_voice];
		// Передаем голос и другие настройки экземпляру
		U.voice=voice;
		// язык
		U.lang=voice.lang;
		// громкость
		U.volume=pricechecker_volume;
		// скорость
		U.rate=pricechecker_rate;
		// высота голоса
		U.pitch=pricechecker_pitch;
		// Запускаем озвучивание!
		speechSynthesis.speak(U);
  	}
}